Package com.tietoenator.trip.jxp

# Class TdbMessageProvider

java.lang.Object
com.tietoenator.trip.jxp.session.TdbSessionObject
com.tietoenator.trip.jxp.TdbMessageProvider

Direct Known Subclasses:
  `TdbBackgroundTaskSink`, `TdbCategory`, `TdbCclCommand`, `TdbClassificationScheme`, `TdbDatabaseAccess`, `TdbFacetSet`, `TdbGraph`, `TdbGridCluster`, `TdbGridHost`, `TdbGridReplicaSet`, `TdbGridSysProps`, `TdbKernelWindow`, `TdbLocations`, `TdbMessageProvidingList`, `TdbNotificationSink`, `TdbRecord`, `TdbRecordSet`, `TdbSearch`, `TdbSerializableObject`, `TdbSession`

public class TdbMessageProvider extends TdbSessionObject
Base class of anything that can feasibly create success or error messages

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Integer>`
  `codeList()`
  Retrieve the list of available error codes, if any
  `int`
  `getLastCode()`
  Retrieve the most recent error code
  `String`
  `getLastMessage()`
  Retrieve the most recent error message
  `boolean`
  `hasMessages()`
  Check if the message provider has any messages
  `List<String>`
  `messageList()`
  Retrieve the list of available messages, if any
  `void`
  `resetMessages()`
  Clear any existing state from the message provider

  ### Methods inherited from class com.tietoenator.trip.jxp.session.TdbSessionObject

  `cancel, getSession, isCancelable, setCancelable`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### messageList

    public List<String> messageList()
    Retrieve the list of available messages, if any
    Returns:
      A collection of messages, could be empty

  - ### codeList

    public List<Integer> codeList()
    Retrieve the list of available error codes, if any
    Returns:
      A collection of error codes, could be empty

  - ### getLastCode

    public int getLastCode()
    Retrieve the most recent error code
    Returns:
      The most recent error code

  - ### getLastMessage

    public String getLastMessage()
    Retrieve the most recent error message
    Returns:
      The most recent error message

  - ### hasMessages

    public boolean hasMessages()
    Check if the message provider has any messages
    Returns:
      true if the provider is in receipt of messages

  - ### resetMessages

    public void resetMessages()
    Clear any existing state from the message provider